| Classes - Annotated - Tree - Functions - Home - Structure

# QHideEvent Class Reference

The event sent after a widget is hidden. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QHideEvent ( bool spontaneous )
- bool spontaneous () const

## Detailed Description

The event sent after a widget is hidden.

This event is sent just before QWidget::hide() returns, and also when a top-level window has been hidden (iconified) by the user.

See also QShowEvent.

## Member Function Documentation

### QHideEvent::QHideEvent ( bool spontaneous )

Constructs a QHideEvent. spontaneous is TRUE if the event originated outside the application - ie. the user hid the window via the window manager controls.

### bool QHideEvent::spontaneous () const

Returns TRUE if the event originated outside the application - ie. the user hid the window via the window manager controls, either by iconifying the window or by switching to another virtual desktop where the window isn't visible. The window will become hidden, but not withdrawn. If the window was iconified, QWidget::isMinimized() is TRUE.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.